fastener_beta02 : dialog {
	label = "Metric Fastener v1.2";
	: row {
		: boxed_column {
			label = "Fastener Info";
			: list_box { label = "Fastener type"; key = "type"; height = 9; width = 27; fixed_width = true; fixed_height = true;}
			: row {
				: list_box { label = "Size"; key = "diameter"; height = 6; width = 13; fixed_width = true; fixed_height = true;}
				: list_box { label = "Length"; key = "length"; height = 6; width = 13; fixed_width = true; fixed_height = true;}
				}
			: list_box { label = "Layer"; key = "layer"; height = 5; width = 27; fixed_width = true; fixed_height = true;}
			: spacer_1 {}
			}
		: boxed_column {
			children_alignment = centered;
			label = "Position";
			: button { label = "&Pick Point -->"; key = "point"; mnemonic = "p"; width = 8;}
			: spacer_0 {}
			: edit_box { label = "X -->"; key = "x"; width = 12; fixed_width = true;}
			: spacer_0 {}
			: edit_box { label = "Y -->"; key = "y"; width = 12; fixed_width = true;}
			: spacer_0 {}
			: edit_box { label = "Z -->"; key = "z"; width = 12; fixed_width = true;}
			: spacer_1 {}
			: button { label = "&Pick Axis -->"; key = "axis"; mnemonic = "p"; width = 8;}
			: row {
				: edit_box { key = "angle"; width = 4; fixed_width = true;}
				: image_button { key = "orientation"; width = 6; aspect_ratio = 1;}
				}
			: spacer_1 {}
			}
		: boxed_column {
			label = "View";
			: image_button { key = "view"; width = 22; aspect_ratio = 1.9;}
			: spacer_1 {}
			}
		}
	: spacer_1 {}
	: row {
		children_alignment = right;
		: button { label = "&Advanced"; key = "advanced"; mnemonic = "a"; width = 10;}
		: button { label = "&Insert"; key = "insert"; mnemonic = "i"; width = 10;}
		: button { label = "&Done"; key = "done"; mnemonic = "c"; width = 10; is_default = true; is_cancel = true;}
		: button { label = "In&fo"; key = "info"; mnemonic = "f"; width = 10;}
		}
	: spacer_1 {}
	}



fastener : dialog {
	label = "Metric Fastener";
	: row {
		: column {
			: row {
				: boxed_column {
					label = "Fastener Info";
					: list_box { label = "Fastener type"; key = "type"; height = 9; width = 27; fixed_width = true; fixed_height = true;}
					: row {
						: list_box { label = "Size"; key = "diameter"; height = 6; width = 13; fixed_width = true;}
						: list_box { label = "Length"; key = "length"; height = 6; width = 13; fixed_width = true;}
						}
					: spacer_1 {}
					}
				: column {
					: boxed_column {
						children_alignment = centered;
						label = "Position";
						: toggle { label = "On screen?"; value = "1"; key = "posonscreen";}
						: spacer_0 {}
						: edit_box { label = "X -->"; key = "x"; width = 12; fixed_width = true; is_enabled = "1";}
						: spacer_0 {}
						: edit_box { label = "Y -->"; key = "y"; width = 12; fixed_width = true; is_enabled = "1";}
						: spacer_0 {}
						: edit_box { label = "Z -->"; key = "z"; width = 12; fixed_width = true; is_enabled = "1";}
						: spacer_1 {}
						}
					: boxed_column {
						children_alignment = centered;
						label = "Axis";
						: toggle { label = "On screen?"; value = "1"; key = "angonscreen";}
						: row {
							: column {
								: text { value = "Axis (deg):";}
								: edit_box {key = "angle"; width = 3; fixed_width = true; is_enabled = "1";}
								: spacer_1 {}
								}
							: image_button { key = "orientation"; color= -2; width = 8; aspect_ratio = 1;}
							}
						: spacer_1 {}
						}
					}
				}
			: row {
				: spacer { width = 1; fixed_width = true;}
				: list_box { label = "Layer"; key = "layer"; height = 5; width = 48; fixed_height = true;}
				: spacer { width = 1; fixed_width = true;}
				}
			}
		: boxed_column {
			label = "View";
			: image_button { key = "view"; width = 23; aspect_ratio = 1.9; fixed_width = true;}
			: spacer_1 {}
			}
		}
	: spacer_1 {}
	: row {
		children_alignment = right;
		: button { label = "&Advanced"; key = "advanced"; mnemonic = "a"; width = 10;}
		: button { label = "&Insert"; key = "insert"; mnemonic = "i"; width = 10;}
		: button { label = "&Done"; key = "done"; mnemonic = "c"; width = 10; is_default = true; is_cancel = true;}
		: button { label = "In&fo"; key = "info"; mnemonic = "f"; width = 10;}
		}
	: spacer_1 {}
	}



advanced : dialog {
	label = "Advanced Settings";
	fixed_width = true;
	: column {
		: spacer_1 {}
		: toggle { width = 18; fixed_width = true;
			label = "Create simplified representation?"; key = "simplified"; value = "0";}
		: spacer_1 {}
		: radio_column {
			key = "end";
			: radio_button { key = "rounded"; label = "Rounded end";}
			: radio_button { key = "chamfered"; label = "Chamfered end";}
			: spacer_1 {}
			value = "rounded";
			}
		: spacer_1 {}
		: radio_column {
			key = "type";
			: radio_button { key = "block"; label = "Just fastener block?";}
			: radio_button { key = "xdata"; label = "Attach data to block?";}
			: spacer_1 {}
			value = "block";
			}
		: spacer_1 {}
		}
	: spacer_1 {}
	ok_cancel;
	: spacer_1 {}
	}


